ahoyapi: v2
commands:
  on:
    cmd: |
      CYPRESS=1
      echo "CYPRESS=1" >>.env
      env -i $(cat .env | xargs) >.env
      composer lakedrops:docker4drupal --no-interaction
      docker compose pull cypress
      ahoy d4d up cypress
    usage: Turn on Cypress
  off:
    cmd: |
      CYPRESS=0
      echo "CYPRESS=0" >>.env
      env -i $(cat .env | xargs) >.env
      composer lakedrops:docker4drupal --no-interaction
      echo "You may have to close the Cypress window manually"
      ahoy d4d down cypress
    usage: Turn off Cypress
